#keep level 2 fight #4
from eventAPI import *
from APIUtils import *

rtKeep2Flag4=0

def fireEvent(e):
   global rtKeep2Flag4
   rtKeep2Flag4 = getTag(e, "rtKeep2Flag4")
   if (rtKeep2Flag4 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep2Flag4 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Yevil", 2, 0, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep2Flag4
   rtKeep2Flag4 = 1
   setTag(e, "rtKeep2Flag4", rtKeep2Flag4)
